Berkeley DB Java Edition version 1.7.1

## com.sleepycat.je
Class CursorConfig

    java.lang.Object
      com.sleepycat.je.CursorConfig

All Implemented Interfaces:
  Cloneable

public class CursorConfig
extends Object
implements Cloneable

Specify the attributes of database cursor. An instance created with the default constructor is initialized with the system's default settings.

Field Summary
`static CursorConfig` `DIRTY_READ` A convenience instance to configure read operations performed by the cursor to return modified but not yet committed data.

Constructor Summary
`CursorConfig()` An instance created using the default constructor is initialized with the system's default settings.

Method Summary
`boolean` `getDirtyRead()` Return if read operations performed by the cursor are configured to return modified but not yet committed data.
`void` `setDirtyRead(boolean dirtyRead)` Configure read operations performed by the cursor to return modified but not yet committed data.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIRTY_READ

    public static final CursorConfig DIRTY_READ

  A convenience instance to configure read operations performed by the cursor to return modified but not yet committed data.

Constructor Detail

### CursorConfig

    public CursorConfig()

  An instance created using the default constructor is initialized with the system's default settings.

Method Detail

### setDirtyRead

    public void setDirtyRead(boolean dirtyRead)

  Configure read operations performed by the cursor to return modified but not yet committed data.

  Parameters:
    `dirtyRead` - If true, configure read operations performed by the cursor to return modified but not yet committed data.

### getDirtyRead

    public boolean getDirtyRead()

  Return if read operations performed by the cursor are configured to return modified but not yet committed data.

  Returns:
    If read operations performed by the cursor are configured to return modified but not yet committed data.

Berkeley DB Java Edition version 1.7.1

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.